## org.apache.axis.message
Class SOAPFaultReasonBuilder

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.message.SOAPFaultReasonBuilder

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class SOAPFaultReasonBuilder
extends SOAPHandler
implements Callback

Parser for the fault Reason element and its associated Text elements.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`SOAPFaultReasonBuilder(SOAPFaultBuilder faultBuilder)`

Method Summary
`java.util.ArrayList` `getText()`
`SOAPHandler` `onStartChild(java.lang.String namespace, java.lang.String name, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` `setValue(java.lang.Object value, java.lang.Object hint)` Defined by Callback.

Methods inherited from class org.apache.axis.message.SOAPHandler
`characters, endElement, makeNewElement, onEndChild, startElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPFaultReasonBuilder

    public SOAPFaultReasonBuilder(SOAPFaultBuilder faultBuilder)

Method Detail

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String name,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`
  Throws:
    `org.xml.sax.SAXException`

### setValue

    public void setValue(java.lang.Object value,
                         java.lang.Object hint)

  Defined by Callback. This method gets control when the callback is invoked, which happens each time we get a deserialized Text string.

  Specified by:
    `setValue` in interface `Callback`
  Parameters:
    `value` - the deserialized value
    `hint` - (unused) provides additional hint information.

### getText

    public java.util.ArrayList getText()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.